View Issue Details

IDProjectCategoryView StatusLast Update
0002155Ham Radio DeluxeBugpublic2017-08-05 18:27
ReporterPD9FER 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.671 
Summary0002155: Heading displayed in DM780 / Worldmap is reversed
Description[user input]
My grid is JN11dl (Spain).
On DM World Map, when I move the cursor around the small square marking my position, the indicated bearing is wrong.
It seems the program is measuring angles counterclockwise.
For example, positions in the upper right quadrant around my position give values ranging (clockwise from 12 o'clock) from 360-270º instead of 0-90º.
Steps To ReproduceStart DM780
Open World map
hover mouse over a location to the south, should be displaying 180 degrees but does 0
Additional Informationhttps://support.ham-radio-deluxe.com/scp/tickets.php?id=7435
TagsNo tags attached.
ModuleDM780
Sub-ModuleMaps
Testing Beta Successful

Relationships

Activities

PD9FER

2017-07-23 10:13

viewer  

Imagen1.png (1,423,909 bytes)

PD9FER

2017-07-24 03:43

viewer   ~0003726

Here's what I found together with Tim:

When using an EU Locator: bearing is reversed In DM780 World Map, however it is fine in the Rotator program.
Now when using an U.S. Locator: bearing is correct in DM780 World Map, but reversed in the Rotator program.

K7ZCZ

2017-07-24 09:27

manager   ~0003727

fixed with this change set, which also cleans up some string length management.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3691

g3ucq

2017-07-29 03:49

viewer   ~0003773

Confirm the fix

WA9PIE

2017-08-05 18:13

administrator   ~0003903

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-23 10:13 PD9FER New Issue
2017-07-23 10:13 PD9FER File Added: Imagen1.png
2017-07-24 03:43 PD9FER Note Added: 0003726
2017-07-24 09:27 K7ZCZ Assigned To => K7ZCZ
2017-07-24 09:27 K7ZCZ Status new => resolved
2017-07-24 09:27 K7ZCZ Resolution open => fixed
2017-07-24 09:27 K7ZCZ Testing => Not Started
2017-07-24 09:27 K7ZCZ Note Added: 0003727
2017-07-24 18:45 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-07-27 17:56 K7ZCZ Fixed in Version => 6.4.0.667
2017-07-29 03:49 g3ucq Note Added: 0003773
2017-08-02 14:30 WA9PIE Description Updated View Revisions
2017-08-02 14:30 WA9PIE Steps to Reproduce Updated View Revisions
2017-08-02 14:30 WA9PIE Testing Not Started => Beta Successful
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.667 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003903
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671